#include <librnd/core/rnd_bool.h>

rnd_bool osm_isc_line_rectangle(rnd_coord_t bx1, rnd_coord_t by1, rnd_coord_t bx2, rnd_coord_t by2, rnd_coord_t lx1, rnd_coord_t ly1, rnd_coord_t lx2, rnd_coord_t ly2);

/* Project the point in px;py onto the line lx*;ly*, resulting point-on-line
   is in *x and *y. Returns offset (0..1 if it's on the line) */
double osm_proj_pt_onto_line(rnd_coord_t *x, rnd_coord_t *y, rnd_coord_t px, rnd_coord_t py, rnd_coord_t lx1, rnd_coord_t ly1, rnd_coord_t lx2, rnd_coord_t ly2);


